Page 2 of 2

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Mon Feb 04, 2019 2:05 am
by mdkai
Hi,
please have a look at this thread which deals with the way of testing, if python is installed properly and how to edit the clarisse.env file !
viewtopic.php?p=7101
Windows will have the .env file under
Code: Select all
..\users\<username>\AppData\Roaming\Isotropix\Clarisse


Cheers
Kai

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Mon Feb 04, 2019 11:04 am
by rezo233
mdkai wrote:Hi,
please have a look at this thread which deals with the way of testing, if python is installed properly and how to edit the clarisse.env file !
viewtopic.php?p=7101
Windows will have the .env file under
Code: Select all
..\users\<username>\AppData\Roaming\Isotropix\Clarisse


Cheers
Kai


I followed it and it didn't fix the issue at all. Someone please make a quick tutorial with images or video.

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Mon Feb 04, 2019 9:25 pm
by rezo233
CAN ANYBODY HELP??????????????????????????????????????????????????????????

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Mon Feb 04, 2019 9:29 pm
by sam
I know this can be frustrating but we haven't been able to reproduce your issue yet. Please standby.

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Mon Feb 04, 2019 10:47 pm
by okafor
Hi,

Bear with me while I explain my own situation which may be different from yours:

1. I did not install python 2.75 in the default directory proposed which is c:\Python27 - can you confirm your installation path for python?
2. If not in default like I explained above then you need to check the clarisse.env file and edit the path manually to match where you installed it.
3. Lastly you need to check your environment variable and confirm Python27 main directory is in you PATH.

That worked for me. Thanks.

regards

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Tue Feb 05, 2019 8:49 am
by rezo233
okafor wrote:Hi,

Bear with me while I explain my own situation which may be different from yours:

1. I did not install python 2.75 in the default directory proposed which is c:\Python27 - can you confirm your installation path for python?
2. If not in default like I explained above then you need to check the clarisse.env file and edit the path manually to match where you installed it.
3. Lastly you need to check your environment variable and confirm Python27 main directory is in you PATH.

That worked for me. Thanks.

regards


I have python 27. Which is installed on > C:/Python 27. When I installed clarisse! It told me to install python too so I clicked yes and it installed.

And about clarisse.env file, There are these two important paths set like this > PYTHONHOME=C:\Python27
> PYTHONPATH=C:\Python27\Lib;C:\Python27\DLLs;C:\Python27\Lib\lib-tk;$CLARISSE_BIN_DIR\python

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Tue Feb 05, 2019 10:55 am
by anemoff
Hi,

When installing Python, did you install it for all users? If not, please install it again for all users.

Did you install the 64 bits version?
You can get it here if needed: https://www.python.org/ftp/python/2.7.1 ... .amd64.msi
Be sure to uninstall your previous one before installing it again.

In your previous message, you said Python was installed in "C:/Python 27", with a space between "Python" and "27". Was it a typing error?
By default, if you didn't change the install settings, there shouldn't be a space. Make sure there isn't.
If there is, try uninstalling Python and installing it again with the default installation path (no spaces).

Finally, to be sure your Python is in the PATH variable, and to check its path, follow these steps:
- press Windows + R to open the Run dialog
- type "cmd" and press Enter to open a new console
- in the console, type "where python.exe"
- if Python was correctly installed with the default path it should print "C:\Python27\python.exe"
- you can then type "python" and press Enter to run the Python interpreter, it should print a welcome message like this:

Code: Select all
Python 2.7.10 (default, May 23 2015, 09:44:00) [MSC v.1500 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>>


We are investigating on our side for other possible causes.

Cheers,

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Tue Feb 05, 2019 6:13 pm
by rezo233
anemoff wrote:Hi,

When installing Python, did you install it for all users? If not, please install it again for all users.

Did you install the 64 bits version?
You can get it here if needed: https://www.python.org/ftp/python/2.7.1 ... .amd64.msi
Be sure to uninstall your previous one before installing it again.

In your previous message, you said Python was installed in "C:/Python 27", with a space between "Python" and "27". Was it a typing error?
By default, if you didn't change the install settings, there shouldn't be a space. Make sure there isn't.
If there is, try uninstalling Python and installing it again with the default installation path (no spaces).

Finally, to be sure your Python is in the PATH variable, and to check its path, follow these steps:
- press Windows + R to open the Run dialog
- type "cmd" and press Enter to open a new console
- in the console, type "where python.exe"
- if Python was correctly installed with the default path it should print "C:\Python27\python.exe"
- you can then type "python" and press Enter to run the Python interpreter, it should print a welcome message like this:

Code: Select all
Python 2.7.10 (default, May 23 2015, 09:44:00) [MSC v.1500 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>>


We are investigating on our side for other possible causes.

Cheers,


Hey. What I did was just I uninstalled python and then downloaded it with the link you gived me and I installed it for all users and then I opened clarisse and boom it worked. Clarisse is working 100% perfect now. THANKS SO MUCH SIR!!!!

Re: I need help for Clarisse iFX 4.0 Ple

Unread postPosted: Wed Feb 06, 2019 11:13 am
by anemoff
Excellent! Have fun with the 4.0!